package com.bbd.bpm.controller.taskOperate;

import com.bbd.bpm.BpmResponse;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * Created by houkang on 2019/2/27.
 */
@RestController
@RequestMapping("/bpm/task")
@Api(tags = {"任务管理"})
public class TaskOperateController {
    private static final Logger Log = LoggerFactory.getLogger(TaskOperateController.class);

    @ApiOperation(value = "查询待处理任务")
    @GetMapping("/pendingTaskList")
    public BpmResponse pendingTaskList() {
        BpmResponse resp = new BpmResponse();
        //todo

        return resp;
    }

    @ApiOperation(value = "改变任务处理人")
    @GetMapping("/appointTaskTo")
    public BpmResponse appointTaskTo() {
        BpmResponse resp = new BpmResponse();
        //todo

        return resp;
    }

    @ApiOperation(value = "删除任务")
    @GetMapping("/deleteTask")
    public BpmResponse deleteTask() {
        BpmResponse resp = new BpmResponse();
        //todo

        return resp;
    }

    @ApiOperation(value = "任务处理")
    @GetMapping("/completeTask")
    public BpmResponse completeTask() {
        BpmResponse resp = new BpmResponse();
        //todo

        return resp;
    }
}
